/*
 *     Options.java  Jan 15, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.util;
import java.util.*;

public class Options {
    private static HashMap options = new HashMap();
    private static ArrayList files = new ArrayList();

    public static void parse(String[] args) {
        options.clear();

        for (int i = 0; i < args.length; i++) {
            if (args[i].startsWith("-")) {
                i++;
                if (i < args.length) {
                    options.put(args[i - 1], args[i]);
                }
            } else {
                files.add(args[i]);
            }
        }
    }    

    public static String getOption(String option) {
        return (String)options.get(option);
    }

    public static String getFile(int num) {
        if (num < files.size()) {
            return (String)files.get(num);
        }
        return null;
    }
}
