/*
 *     WriteFile.java  Jan 19, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.util;
import java.io.*;

public class WriteFile {
    public static void write(String name, String content)
        throws IOException, FileNotFoundException {
        write(new File(name), content);
    }            

    public static void write(File file, String content)
        throws FileNotFoundException, IOException {
        BufferedWriter writer = new BufferedWriter(new FileWriter(file));
        writer.write(content);
        writer.flush();
        writer.close();
    }
}
