/*
 *     NullNodeList.java  Jan 19, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.dom;
import org.w3c.dom.*;

public class NullNodeList implements NodeList {
    private static final int length = 0;

    public NullNodeList() {
    }

    public Node item(int index) {
        return NullNode.getInstance();
    }

    public int getLength() {
        return length;
    }
}
