/*
 *     CFGAssignment.java  Aug 17, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;
import org.jtool.platform.xml.graph.*;
import org.w3c.dom.*;

public class CFGAssignment extends CFGStatement {

    protected CFGAssignment() {
    }

    public CFGAssignment(int sort, Element elem) {
        super(sort, elem);
    }

    public void print(StringBuffer buf) {
        String mesg = "";
        switch (sort) {
            case GraphNodeSort.assignmentSt: mesg = "assignment"; break;
            case GraphNodeSort.newSt: mesg = "new"; break;
            case GraphNodeSort.returnSt: mesg = "return"; break;
        }
        printDefUse(mesg, buf);
    }
}
