/*
 *     CFGExit.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;
import org.jtool.platform.xml.graph.*;

public class CFGExit extends CFGNode {
    private CFGExit() {
    }

    public CFGExit(int sort) {
        super(sort, null);
    }

    public void print(StringBuffer buf) {
        String mesg = "";
        switch (sort) {
            case GraphNodeSort.methodExit: mesg = "method exit"; break;
            case GraphNodeSort.constructorExit: mesg = "constructor exit"; break;
        }
        print(mesg, buf);
    }
}
