/*
 *     CFGMerge.java  Aug 17, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;

public class CFGMerge extends CFGNode {
    private CFGNode branch;

    protected CFGMerge() {
    }

    public CFGMerge(CFGNode branch) {
        super(mergeSt, null);
        this.branch = branch;
    }

    public CFGNode getBranchNode() {
        return branch;
    }

    public void print(StringBuffer buf) {
        print("merge", buf);
    }
}
