/*
 *     Constants.java  Dec 2, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.xref;

public interface Constants {
    public static final String ProjectElem = "Project";
    public static final String FileElem = "File";
    public static final String PackageElem = "Package";
    public static final String ImportElem = "Import";
    public static final String ClassElem = "Class";
    public static final String InnerClassElem = "InnCls";
    public static final String InterfaceElem = "Intf";
    public static final String ConstructorElem = "Ctor";
    public static final String MethodElem = "Method";
    public static final String FieldElem = "Field";
    public static final String ThrowsElem = "ThrwOpt";

    public static final String AnchorElem = "A";
    public static final String ClassRefElem = "ClassRef";
    public static final String FieldRefElem = "FieldRef";
    public static final String MethodRefElem = "MethodRef";
    public static final String RefSourceElem = "RefSrc";
    public static final String RefTargetElem = "RefTgt";

    public static final String OverridingElem = "Overriding";
    public static final String OverriddenElem = "Overridden";
    public static final String OverloadingElem = "Overloading";
    public static final String OverloadedElem = "Overloaded";
    public static final String ImplementingElem = "Implementing";
    public static final String ImplementedElem = "Implemented";

    public static final String SuperClassElem = "SuperClass";
    public static final String SuperInterfaceElem = "SuperIntf";
    public static final String SubClassElem = "SubClass";
    public static final String SubInterfaceElem = "SubIntf";

    public static final String AccessAttr = "access";
    public static final String NameAttr = "name";
    public static final String PathAttr = "path";
    public static final String IdAttr = "id";
    public static final String FqnAttr = "fqn";
    public static final String HrefAttr = "href";
    public static final String LineAttr = "line";
    public static final String ModifierAttr = "mdf";
    public static final String ExistsAttr = "exists";

    public static final String ReadAttr = "read";
    public static final String WriteAttr = "write";

    public static final String InProject = "InPrj";
    public static final String InJDK = "InJDK";

    public static final String YES = "yes";
    public static final String NO = "no";
}
