/*
 *     LogEvent.java  Dec 3, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.event;
import java.util.EventObject;
import java.sql.Timestamp;

public class LogEvent extends EventObject {
    private String message;

    public LogEvent(Object source, String msg) {
        super(source);

        Timestamp timestamp = new Timestamp(System.currentTimeMillis());
        message = timestamp + " : " + msg;
    }

    public String getMessage() {
        return message;
    }
}
