/*
 *     ClassPathDialog.java  Jan 21, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.gui;

public class ClassPathDialog extends PropertyDialog {

    public ClassPathDialog(SimpleBrowser browser) {
        super(browser, "Additional Class Path", null, -1);
    }

    public ClassPathDialog(MainFrame frame, FileManager fm) {
        super(frame, fm, "Additional Class Path", null, -1);
    }

    protected boolean checkOption(String name) {
        return true;
    }

    public void show() {
        propertyField.setText(browser.getClassPath());
        super.show();

        browser.setClassPath(propertyField.getText());
    }
}
