/*
 *     ExtensionFileFilter.java  Dec 2, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.gui;
import javax.swing.filechooser.FileFilter;
import java.io.File;

public class ExtensionFileFilter extends FileFilter {
    private String description;
    private String extension;

    public ExtensionFileFilter(String description, String extension) {
        super();
        this.description = description;
        this.extension = extension;
    }

    public boolean accept(File file) {
        return file.isDirectory() || file.getName().toLowerCase().endsWith(extension);
    }

    public String getDescription() {
        return description;
    }
}
