/*
 *     JavaArrayField.java  Dec 13, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.j2xml;
import org.jtool.platform.xml.wrapper.*;

public class JavaArrayField extends JavaField {
    private String name;
    private String fqn = null;
    private String id = null;

    public JavaArrayField(String name) {
        this.name = name;

        if (name.equals("length")) {
            id = "c0";
            fqn = "int";
        }
    }

    public String getName() {
        return name;
    }

    public String getTypeFqn() {
        return fqn;
    }

    public String getId() {
        return id;
    }

    public JavaClass getJavaClass() {
        return new JavaArrayClass();
    }
}
