/*
 *     JavaArrayMethod.java  Dec 13, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.j2xml;
import org.jtool.platform.xml.wrapper.*;

public class JavaArrayMethod extends JavaMethod {
    private String sig;
    private String fqn = null;
    private String id = null;

    public JavaArrayMethod(String sig) {
        this.sig = sig;

        if (sig.equals("clone()")) {
            id = "c0";
            fqn = "java.lang.Object";
        }
    }

    public String getSignature() {
        return sig;
    }

    public String getTypeFqn() {
        return fqn;
    }

    public String getId() {
        return id;
    }

    public JavaClass getJavaClass() {
        return new JavaArrayClass();
    }
}
