/*
 *     MillxUnix.java  May 5, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.j2xml.millx;
import java.util.*;

public class MillxUnix extends Millx {
    private static String[] cmd = new String[11];
    
    public static void init(String opt) {
        cmd[0] = sapidDir + "/bin/millx";

        int i = 1;
        StringTokenizer st = new StringTokenizer(opt);
        while (st.hasMoreTokens()) {
            cmd[i] = st.nextToken();
            i++;
        }
        for (;i < 10; i++) {
            cmd[i] = "";
        }
    }

    public static void run(String fileName, String xmlDir) throws Exception {
        try {
            if (xmlDir != null) {
                cmd[8] = "-sdbD";
                cmd[9] = xmlDir;
            }
            cmd[10] = fileName;
            // System.out.println(cmd[0] + " " + cmd[10]);

            Runtime rt = Runtime.getRuntime();
            Process process = rt.exec(cmd);
            process.waitFor();
            // System.out.println(getMessage(process.getErrorStream()));

        } catch (Exception e) {
            throw e;
        }
    }
}
