/*
 *     ReadFile.java  Jan 19, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.util;
import java.io.*;

public class ReadFile {
    public static String read(String name) throws FileNotFoundException, IOException {
        return read(new File(name));
    }            

    public static String read(File file) throws FileNotFoundException, IOException {
        StringBuffer content = new StringBuffer();
        BufferedReader reader = new BufferedReader(new FileReader(file));

        while (reader.ready()) {
            String oneLineString = reader.readLine();
            if (oneLineString == null) {
                break;
            }
            content.append(oneLineString + "\n");
        }
        reader.close();
        return new String(content);
    }
}
