/*
 *     NullAttr.java  Jan 19, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.dom;
import org.w3c.dom.*;

public class NullAttr extends NullNode implements Attr {
    private static final String name = "NullAttr";

    public NullAttr() {
    }

    public String getName() {
        return name;
    }

    public boolean getSpecified() {
        return false;
    }

    public String getValue() {
        return name;
    }

    public void setValue(String value) {
    }
    
    public Element getOwnerElement() {
        return new NullElement();
    }
}
