/*
 *     ArrayAccessReference.java  Aug 10, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;
import org.jtool.platform.xml.JXConstants;
import org.w3c.dom.*;

public class ArrayAccessReference {

    public static void run(Node node) {
        NodeList nl = ((Element)node).getElementsByTagName(JXConstants.ExpressionElem);

        for (int i = 0; i < nl.getLength(); i++) {
            Element elem = (Element)nl.item(i);

            if (elem.getAttribute(JXConstants.SortAttr).equals(JXConstants.VarRef)) {
                String read = elem.getAttribute(JXConstants.ReadAttr);
                
                if (read.equals(JXConstants.POSSIBLE)) {
                    elem.setAttribute(JXConstants.ReadAttr, JXConstants.YES);
                }
            }
        }
    }
}
