/*
 *     Label.java  Dec 18, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;

public class Label {
    private String name;
    private CFGNode entryNode;
    private CFGNode exitNode;
    
    public Label() {
        name = "";
    }

    public Label(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setEntryNode(CFGNode node) {
        entryNode = node;
    }

    public CFGNode getEntryNode() {
        return entryNode;
    }

    public void setExitNode(CFGNode node) {
        exitNode = node;
    }

    public CFGNode getExitNode() {
        return exitNode;
    }
}
