/*
 *     MethodCallReference.java  Aug 10, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.graph.cfg;
import org.jtool.platform.xml.JXConstants;
import org.w3c.dom.*;

public class MethodCallReference {

    public static void run(Node node) {
        NodeList nl = ((Element)node).getElementsByTagName(JXConstants.ExpressionElem);

        for (int i = 0; i < nl.getLength(); i++) {
            Element elem = (Element)nl.item(i);

            if (elem.getAttribute(JXConstants.SortAttr).equals(JXConstants.VarRef)) {
                String write = elem.getAttribute(JXConstants.WriteAttr);

                if (write.equals(JXConstants.POSSIBLE)) {
                    elem.setAttribute(JXConstants.WriteAttr, JXConstants.YES);
                }
            }
        }
    }
}
