/*
 *     JavaImport.java  May 5, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.wrapper;
import org.jtool.platform.xml.JXConstants;
import org.w3c.dom.*;

public class JavaImport extends JavaElement {
    private String name = null;

    protected JavaImport() {
    }

    public JavaImport(Node node) {
        super(node);
    }

    public String getName() {
        if (name == null) {
            name = elem.getAttribute(JXConstants.QNameAttr);
        }
        return name;
    }
}

