/*
 *     XrefJavaField.java  Dec 2, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.xref;
import java.util.*;
import org.w3c.dom.*;

public class XrefJavaField extends XrefJavaElement {

    private XrefJavaField() {
    }

    public XrefJavaField(Element elem) {
        super(elem);
    }

    public String getFqn() {
        return elem.getAttribute(Constants.FqnAttr);
    }

    public String getAccess() {
        return elem.getAttribute(Constants.AccessAttr);
    }

    public String getModifier() {
        return elem.getAttribute(Constants.ModifierAttr);
    }

    public ArrayList getReferringNodes() {
        return getChildNodes(Constants.RefSourceElem);
    }
}
