/*
 *     XrefJavaFile.java  Dec 2, 2003
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.platform.xml.xref;
import java.util.*;
import org.w3c.dom.*;

public class XrefJavaFile extends XrefJavaElement {

    private XrefJavaFile() {
    }

    public XrefJavaFile(Element elem) {
        super(elem);
    }

    public String getFqn() {
        return null;
    }

    public Node getPackageNode() {
        return getFirstChildNode(Constants.PackageElem);
    }

    public ArrayList getImportNodes() {
        return getChildNodes(Constants.ImportElem);
    }

    public ArrayList getClassNodes() {
        return getChildNodes(Constants.ClassElem);
    }

    public ArrayList getInterfaceNodes() {
        return getChildNodes(Constants.InterfaceElem);
    }

    public ArrayList getClassReferenceNodes() {
        return getDescendantNodes(Constants.ClassRefElem);
    }

    public ArrayList getFieldReferenceNodes() {
        return getDescendantNodes(Constants.FieldRefElem);
    }

    public ArrayList getMethodReferenceNodes() {
        return getDescendantNodes(Constants.MethodRefElem);
    }
}
